


function NamedColorButton(namedColor)
{
	var self = this;
	
	self.namedColor = namedColor;
	
	// create button with desired color as background, and name as tooltip
	self.button = document.createElement("button");
	
	self.button.setAttribute( "class", "btn btn-secondary color-button");
	self.button.setAttribute( "data-toggle", "tooltip");
	self.button.setAttribute( "data-placement", "top" );
	self.button.setAttribute( "title", namedColor.name); // tooltip text
	self.button.style.background = namedColor.color.toHexString();
	self.button.setAttribute( "border-width", "thin" );
	
	// so we can adjust display when underlying namedColor name or color changes
	namedColor.addColorChangeListener(self);
	
	
	
	self.onColorChange = function(namedColor)
	{
		// coming from self.namedColor - adjust tooltip text, background color
		self.button.setAttribute( "title", namedColor.name); // tooltip text
		self.button.style.background = namedColor.color.toHexString();
	}
	
	
	self.setSelected = function(isSelected)
	{
		if (isSelected)
		{
			// set border attribute to heavy
		    self.button.setAttribute( "class", "btn btn-secondary color-button-selected");
		}
		else
		{
		    self.button.setAttribute( "class", "btn btn-secondary color-button");
		}
	}
	
}